aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.HeadObject

# Documentation

data HeadObject Source #

Constructors

HeadObject |

Fields

- hoBucket :: Bucket
- hoObjectName :: Object
- hoVersionId :: Maybe Text
- hoIfMatch :: Maybe Text

  Return the object only if its entity tag (ETag, which is an md5sum of the content) is the same as the one specified; otherwise, catch a `StatusCodeException` with a status of 412 precondition failed.

- hoIfNoneMatch :: Maybe Text

  Return the object only if its entity tag (ETag, which is an md5sum of the content) is different from the one specified; otherwise, catch a `StatusCodeException` with a status of 304 not modified.

#### Instances

Instances details

SignQuery HeadObject Source # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.HeadObject

Associated Types

type ServiceConfiguration HeadObject |
Instance details Defined in Aws.S3.Commands.HeadObject type ServiceConfiguration HeadObject = S3Configuration

Methods

signQuery :: HeadObject -> ServiceConfiguration HeadObject queryType -> SignatureData -> SignedQuery Source #

Show HeadObject Source # |
Instance details Defined in Aws.S3.Commands.HeadObject Methods showsPrec :: Int -> HeadObject -> ShowS Source # show :: HeadObject -> String Source # showList :: [HeadObject] -> ShowS Source #
ResponseConsumer HeadObject HeadObjectResponse Source # |

Instance details

Defined in Aws.S3.Commands.HeadObject

Associated Types

type ResponseMetadata HeadObjectResponse |
Instance details Defined in Aws.S3.Commands.HeadObject type ResponseMetadata HeadObjectResponse = S3Metadata

Methods

responseConsumer :: Request -> HeadObject -> IORef (ResponseMetadata HeadObjectResponse) -> HTTPResponseConsumer HeadObjectResponse Source #

Transaction HeadObject HeadObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.HeadObject
type ServiceConfiguration HeadObject Source # |
Instance details Defined in Aws.S3.Commands.HeadObject type ServiceConfiguration HeadObject = S3Configuration

headObject :: Bucket -> Text -> HeadObject Source #

data HeadObjectResponse Source #

Constructors

HeadObjectResponse |

Fields

- horMetadata :: Maybe ObjectMetadata

#### Instances

Instances details

AsMemoryResponse HeadObjectResponse Source # |

Instance details

Defined in Aws.S3.Commands.HeadObject

Associated Types

type MemoryResponse HeadObjectResponse |
Instance details Defined in Aws.S3.Commands.HeadObject type MemoryResponse HeadObjectResponse = HeadObjectMemoryResponse

Methods

loadToMemory :: HeadObjectResponse -> ResourceT IO (MemoryResponse HeadObjectResponse) Source #

Show HeadObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.HeadObject Methods showsPrec :: Int -> HeadObjectResponse -> ShowS Source # show :: HeadObjectResponse -> String Source # showList :: [HeadObjectResponse] -> ShowS Source #
ResponseConsumer HeadObject HeadObjectResponse Source # |

Instance details

Defined in Aws.S3.Commands.HeadObject

Associated Types

type ResponseMetadata HeadObjectResponse |
Instance details Defined in Aws.S3.Commands.HeadObject type ResponseMetadata HeadObjectResponse = S3Metadata

Methods

responseConsumer :: Request -> HeadObject -> IORef (ResponseMetadata HeadObjectResponse) -> HTTPResponseConsumer HeadObjectResponse Source #

Transaction HeadObject HeadObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.HeadObject
type MemoryResponse HeadObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.HeadObject type MemoryResponse HeadObjectResponse = HeadObjectMemoryResponse
type ResponseMetadata HeadObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.HeadObject type ResponseMetadata HeadObjectResponse = S3Metadata

data HeadObjectMemoryResponse Source #

Constructors

HeadObjectMemoryResponse (Maybe ObjectMetadata) |

#### Instances

Instances details

Show HeadObjectMemoryResponse Source # |
Instance details Defined in Aws.S3.Commands.HeadObject Methods showsPrec :: Int -> HeadObjectMemoryResponse -> ShowS Source # show :: HeadObjectMemoryResponse -> String Source # showList :: [HeadObjectMemoryResponse] -> ShowS Source #